Saltar al contenido principal
POST
/
v1
/
dict
/
funds-recoveries
Crear una solicitud de recuperación de fondos
curl --request POST \
  --url https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contactInformation": {
    "email": "customer@example.com",
    "phone": "+5511999999999"
  },
  "rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
  "situationType": "SCAM",
  "reportDetails": "Customer reported receiving a call from fake bank employee",
  "trackingGraphParameters": {
    "hopWindow": "PT24H",
    "maxHops": 5,
    "maxTransactions": 500,
    "minTransactionAmount": "200.00"
  }
}
'
{
  "bacenFundsRecoveryId": "91d65e98-97c0-4b0f-b577-73625da1f9fc",
  "contactInformation": {
    "email": "customer@example.com",
    "phone": "+5511999999999"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "reportDetails": "Customer reported receiving a call from fake bank employee",
  "reporterParticipant": "12345678",
  "rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
  "situationType": "SCAM",
  "status": "CREATED",
  "trackingGraph": {
    "accounts": [
      {
        "id": 1,
        "openingDate": "2020-01-15",
        "ownerId": 1,
        "participant": "12345678"
      }
    ],
    "creationTime": "2023-11-07T05:31:56Z",
    "fundsRecoveryId": "550e8400-e29b-41d4-a716-446655440000",
    "parameters": {
      "hopWindow": "PT24H",
      "maxHops": 5,
      "maxTransactions": 500,
      "minTransactionAmount": "200.00"
    },
    "persons": [
      {
        "entityCreationDate": "2020-01-15",
        "id": 1,
        "type": "NATURAL_PERSON"
      }
    ],
    "rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
    "transactions": [
      {
        "amount": 1000.5,
        "creditorAccountId": 2,
        "debtorAccountId": 1,
        "id": "E12345678202411241430ABCDEFGHIJK",
        "refundableAmount": 1000.5,
        "settlementTime": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "updatedAt": "2023-11-07T05:31:56Z"
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cuerpo

application/json
contactInformation
object
requerido

ContactInformation contiene la información de contacto de la persona que reporta el fraude

rootTransactionId
string
requerido

RootTransactionID es el ID de la transacción Pix End-to-End original

Ejemplo:

"E12345678202411241430ABCDEFGHIJK"

situationType
enum<string>
requerido

SituationType es el tipo de situación de fraude

Opciones disponibles:
SCAM,
ACCOUNT_TAKEOVER,
COERCION,
FRAUDULENT_ACCESS,
OTHER,
UNKNOWN
Ejemplo:

"SCAM"

reportDetails
string

ReportDetails es la descripción detallada del incidente de fraude

Maximum string length: 2000
Ejemplo:

"Customer reported receiving a call from fake bank employee"

trackingGraphParameters
object

TrackingGraphParameters contiene parámetros opcionales para la generación del grafo de rastreo

Respuesta

Created

bacenFundsRecoveryId
string
Ejemplo:

"91d65e98-97c0-4b0f-b577-73625da1f9fc"

contactInformation
object
createdAt
string<date-time>
Ejemplo:

"2023-11-07T05:31:56Z"

id
string
Ejemplo:

"550e8400-e29b-41d4-a716-446655440000"

reportDetails
string
Ejemplo:

"Customer reported receiving a call from fake bank employee"

reporterParticipant
string
Ejemplo:

"12345678"

rootTransactionId
string
Ejemplo:

"E12345678202411241430ABCDEFGHIJK"

situationType
enum<string>
Opciones disponibles:
SCAM,
ACCOUNT_TAKEOVER,
COERCION,
FRAUDULENT_ACCESS,
OTHER,
UNKNOWN
Ejemplo:

"SCAM"

status
enum<string>
Opciones disponibles:
CREATED,
TRACKED,
AWAITING_ANALYSIS,
ANALYSED,
REFUNDING,
COMPLETED,
CANCELLED
Ejemplo:

"CREATED"

trackingGraph
object

TrackingGraph es el grafo de rastreo generado durante la creación (PRD 4.1 / US-01) Presente cuando se proporcionaron trackingGraphParameters en la solicitud

updatedAt
string<date-time>
Ejemplo:

"2023-11-07T05:31:56Z"